Bug 1005442 - corrupt login screen and gnome desktop after booting up
corrupt login screen and gnome desktop after booting up
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
21
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 20:50 EDT by mousehippie
Modified: 2015-12-02 11:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:57:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (74.50 KB, text/x-log)
2013-09-06 20:50 EDT, mousehippie
no flags Details
Result of "lspci -nn" (2.33 KB, text/plain)
2013-09-06 20:52 EDT, mousehippie
no flags Details
Contents of xorg.conf (5.66 KB, text/plain)
2013-09-06 20:54 EDT, mousehippie
no flags Details
Output of dmesg command (67.54 KB, text/plain)
2013-09-06 20:55 EDT, mousehippie
no flags Details
Screen shot #1 (947.69 KB, image/jpeg)
2013-09-06 20:56 EDT, mousehippie
no flags Details
Screen shot #2 (1005.39 KB, image/jpeg)
2013-09-06 20:57 EDT, mousehippie
no flags Details
Screen shot #3 (1.13 MB, image/jpeg)
2013-09-06 20:58 EDT, mousehippie
no flags Details
Screen shot #4 (1.22 MB, image/jpeg)
2013-09-06 20:59 EDT, mousehippie
no flags Details

  None (edit)
Description mousehippie 2013-09-06 20:50:19 EDT
Created attachment 795016 [details]
Xorg.0.log

Description of problem:
Login screen is corrupt with many triangular artifacts. After login, GNOME desktop is also corrupt.  Once I start an application (e.g. terminal or firefox), the screen becomes normal.

Version-Release number of selected component (if applicable):
Name        : xorg-x11-drv-ati
Arch        : x86_64
Version     : 7.1.0
Release     : 5.20130408git6e74aacc5.fc19

How reproducible:
Every time I boot up the system with GUI.

Additional info:
The system is upgraded from Fedora 18 to 19 using fedup.  
Graphic hardware is onboard graphics of the AMD 690G chipset.
Monitor configuration: EIZO FlexScan S1701. VGA connection. KVM switch is being used.
Comment 1 mousehippie 2013-09-06 20:52:38 EDT
Created attachment 795017 [details]
Result of "lspci -nn"
Comment 2 mousehippie 2013-09-06 20:54:58 EDT
Created attachment 795018 [details]
Contents of xorg.conf

I created this as a trial workaround for the problem, but it did not work.
Reference:
https://fedoraproject.org/wiki/How_to_debug_Xorg_problems
Comment 3 mousehippie 2013-09-06 20:55:56 EDT
Created attachment 795019 [details]
Output of dmesg command
Comment 4 mousehippie 2013-09-06 20:56:56 EDT
Created attachment 795020 [details]
Screen shot #1
Comment 5 mousehippie 2013-09-06 20:57:35 EDT
Created attachment 795021 [details]
Screen shot #2
Comment 6 mousehippie 2013-09-06 20:58:05 EDT
Created attachment 795022 [details]
Screen shot #3
Comment 7 mousehippie 2013-09-06 20:59:36 EDT
Created attachment 795023 [details]
Screen shot #4

Initial screen after login
Comment 8 mousehippie 2013-09-07 02:07:35 EDT
I searched for other reports, and found that bugs 981096 and 990947 seem to be the same problem as mine.
Comment 9 mousehippie 2014-01-10 16:22:38 EST
I clean-installed Fedora 20, but the problem persists.
Comment 10 Hin-Tak Leung 2014-09-18 05:35:58 EDT
duplicate of 'Bug 981096 - corrupted login display and first session after boot (2nd session okay)' , as you said.
Comment 11 mousehippie 2014-12-16 18:49:49 EST
The problem persists also on Fedora 21 Workstation.
Comment 12 Hin-Tak Leung 2014-12-17 04:10:13 EST
I no longer have that hardware (that laptop died). In any case, I seems to think that it was okay with the gnome 3.12 copr, or maybe I am wrong? My old laptop died back in mid-sept, and my memory of it is already fading.
Comment 13 Fedora End Of Life 2015-11-04 09:39:27 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-12-01 21:57:05 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.